/*
 * SSL_Radio.hpp
 *
 *  Created on: Feb 24, 2024
 *      Author: gabriel
 */

#include <inttypes.h>
#include "main.h"
#include "GPIO_Pin.hpp"

#ifndef SRC_COMPONENTS_SSL_RADIO_HPP_
#define SRC_COMPONENTS_SSL_RADIO_HPP_

class SSL_Comms {
public:
	SSL_Comms(GPIO_Pin* but);
	virtual ~SSL_Comms();
	void irqCallback(void* arg);
	int32_t init();
private:
	GPIO_Pin* but;

};

#endif /* SRC_COMPONENTS_SSL_RADIO_HPP_ */
